[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.WriteDebugReport

WriteDebugReport - for debugging. If Recurse is True, report for all descendants as well.

## Declaration

Source position: comctrls.pp line 3148

`public procedure TTreeNode.WriteDebugReport(`
`const Prefix: string;`
`Recurse: Boolean`
`);`

## Arguments

`Prefix` |  | Value prepended to the debugger output.
`Recurse` |  | True to recurse into child nodes and include their values in the debugger output.